Bug 1555128 (CVE-2018-5127) - CVE-2018-5127 Mozilla: Buffer overflow manipulating SVG animatedPathSegList (MFSA 2018-07)
Summary: CVE-2018-5127 Mozilla: Buffer overflow manipulating SVG animatedPathSegList (...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-5127
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1551856 1551857 1551858 1551859 1551863 1551864 1551865 1551866
Blocks: 1551854
TreeView+ depends on / blocked
 
Reported: 2018-03-14 02:03 UTC by Doran Moppert
Modified: 2019-09-29 14:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-20 00:53:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0526 None None None 2018-03-15 10:31:29 UTC
Red Hat Product Errata RHSA-2018:0527 None None None 2018-03-15 11:20:23 UTC
Red Hat Product Errata RHSA-2018:0647 None None None 2018-04-05 20:23:05 UTC
Red Hat Product Errata RHSA-2018:0648 None None None 2018-04-05 20:05:09 UTC

Description Doran Moppert 2018-03-14 02:03:44 UTC
A buffer overflow can occur when manipulating the SVG `animatedPathSegList` through script. This results in a potentially exploitable crash.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-07/#CVE-2018-5127

Comment 1 Doran Moppert 2018-03-14 02:03:50 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Nils

Comment 2 errata-xmlrpc 2018-03-15 10:31:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:0526 https://access.redhat.com/errata/RHSA-2018:0526

Comment 3 errata-xmlrpc 2018-03-15 11:20:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0527 https://access.redhat.com/errata/RHSA-2018:0527

Comment 4 errata-xmlrpc 2018-04-05 20:05:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0648 https://access.redhat.com/errata/RHSA-2018:0648

Comment 5 errata-xmlrpc 2018-04-05 20:23:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:0647 https://access.redhat.com/errata/RHSA-2018:0647


Note You need to log in before you can comment on or make changes to this bug.